List ResourceGroups - m3ter Documentation

List ResourceGroups

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Possible HTTP Responses

{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "name": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

Authorization: required header string

Path Parameters

Query Parameters

Response

200: application/json ListResourceGroups 200 response.